Bug 28075 - anaconda's documentation of "part" is incorrect
anaconda's documentation of "part" is incorrect
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tammy Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-16 21:37 EST by Jim Wright
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-05 12:11:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Wright 2001-02-16 21:37:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)

The documentation of "part" in RH7.0 reference guide implies that the
correct format would be similar to:

    part /boot --size 20   --asprimary 1

However, looking at the code (and based on my experience) the correct
format is

    part /boot --size=20   --asprimary=1

The python code is using getopt, and the "--" arguments expect an "=" with
no whitespace.

Reproducible: Always
Steps to Reproduce:
1. try a kickstart file with the incorrect syntax


Actual Results:  anaconda complains that 

  partition command requires one anonymous argument

A cryptic message that is meant to inform the user that all options should
be parsed by getopt, with only the name of the filesystem left as an

Expected Results:  Documentation should correctly show what is expected.

It would also be nice to have it documented that the numbers should be
integers which represent filesystem size in megabytes.  It quickly became
clear that "20m" is incorrect.
Comment 1 Glen Foster 2001-02-21 13:22:52 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Glen Foster 2001-03-02 13:05:37 EST
Our installer team-lead thinks we should really fix this before next release.
Comment 3 Brent Fox 2001-03-05 12:04:16 EST
tfox, I think he is right in that there must be an "=" sign.  Can you correct
the documentation?
Comment 4 Brent Fox 2001-03-05 12:11:23 EST
Wait a minute, that's not right.  "--onprimary" expects an "=" sign, but
"--asprimary" takes no arguments.  I think the original documentation is
wrong...it needs to be explicit that asprimary does not take any arguements.
Trying to pass one will cause python to complain.
Comment 5 Tammy Fox 2001-03-05 12:22:08 EST
I corrected the docs to reflect the difference between asprimary and onprimary
and added an example of onprimary. I also added a note that the size and maxsize
are in MB and only expect an integer value.

Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.